Vala Panel(1)

NAME
vala-panel — Vala Panel is GTK+ 3 desktop panel. It is based on Vala and some LXPanel ideas.

SYNOPSIS

vala-panel [ {-c | --command } command name ] [ {-p | --profile } profile name ]

vala-panel [ {-h | --help } | {-v | --version } ]

DESCRIPTION

This manual page documents briefly the vala-panel command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

vala-panel is a program that runs a panel

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the info(1) files.

-c command

--command=command name
    Runs specific command on already opened panel. Valid commands without arguments are: menu, preferences, run, about, logout, shutdown, restart and quit. Valid commands with one string argument are launch-id, launch-uri, launch-command and panel-preferences.

-p profile

--profile=profile name
    Runs panel with specified profile. This option will have an effect only if panel is not runs now. There are three pre-installed profiles: default, two_panels and appmenu.

-h

--help
    Show summary of options.

-v

--version
    Show version of program.

FILES

${$XDG_CONFIG_HOME}/vala-panel/
    The per-user configuration folder to control the behaviour of vala-panel. It contains subfolders only, and it must contain at least one subfolder after a first run of vala-panel. Each subfolder is a profile for panel, and its name used as profile name with profile options. See default profiles for further reference.